Index: contrib/ntp/CommitLog
===================================================================
--- contrib/ntp/CommitLog	(版本 314126)
+++ contrib/ntp/CommitLog	(版本 316722)
@@ -1,3 +1,441 @@
+ChangeSet@1.3729, 2017-02-01 07:39:35-05:00, stenn@deacon.udel.edu
+  NTP_4_2_8P9_WIN
+  TAG: NTP_4_2_8P9_WIN
+
+  ChangeLog@1.1857 +3 -0
+    NTP_4_2_8P9_WIN
+
+  ntpd/invoke-ntp.conf.texi@1.204 +1 -1
+    NTP_4_2_8P9_WIN
+
+  ntpd/invoke-ntp.keys.texi@1.193 +1 -1
+    NTP_4_2_8P9_WIN
+
+  ntpd/invoke-ntpd.texi@1.509 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.conf.5man@1.238 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.conf.5mdoc@1.238 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.conf.html@1.188 +1 -1
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.conf.man.in@1.238 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.conf.mdoc.in@1.238 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.keys.5man@1.227 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.keys.5mdoc@1.227 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.keys.html@1.189 +1 -1
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.keys.man.in@1.227 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntp.keys.mdoc.in@1.227 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntpd-opts.c@1.531 +245 -245
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntpd-opts.h@1.530 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntpd.1ntpdman@1.338 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntpd.1ntpdmdoc@1.338 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntpd.html@1.182 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntpd.man.in@1.338 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpd/ntpd.mdoc.in@1.338 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpdc/invoke-ntpdc.texi@1.506 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpdc/ntpdc-opts.c@1.524 +107 -107
+    NTP_4_2_8P9_WIN
+
+  ntpdc/ntpdc-opts.h@1.523 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpdc/ntpdc.1ntpdcman@1.337 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpdc/ntpdc.1ntpdcmdoc@1.337 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpdc/ntpdc.html@1.350 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpdc/ntpdc.man.in@1.337 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpdc/ntpdc.mdoc.in@1.337 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpq/invoke-ntpq.texi@1.514 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpq/ntpq-opts.c@1.531 +114 -114
+    NTP_4_2_8P9_WIN
+
+  ntpq/ntpq-opts.h@1.529 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpq/ntpq.1ntpqman@1.342 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpq/ntpq.1ntpqmdoc@1.342 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpq/ntpq.html@1.179 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpq/ntpq.man.in@1.342 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpq/ntpq.mdoc.in@1.342 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpsnmpd/invoke-ntpsnmpd.texi@1.508 +11 -10
+    NTP_4_2_8P9_WIN
+
+  ntpsnmpd/ntpsnmpd-opts.c@1.526 +68 -68
+    NTP_4_2_8P9_WIN
+
+  ntpsnmpd/ntpsnmpd-opts.h@1.525 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpsnmpd/ntpsnmpd.1ntpsnmpdman@1.337 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpsnmpd/ntpsnmpd.1ntpsnmpdmdoc@1.337 +2 -2
+    NTP_4_2_8P9_WIN
+
+  ntpsnmpd/ntpsnmpd.html@1.177 +1 -1
+    NTP_4_2_8P9_WIN
+
+  ntpsnmpd/ntpsnmpd.man.in@1.337 +3 -3
+    NTP_4_2_8P9_WIN
+
+  ntpsnmpd/ntpsnmpd.mdoc.in@1.337 +2 -2
+    NTP_4_2_8P9_WIN
+
+  packageinfo.sh@1.534 +1 -1
+    NTP_4_2_8P9_WIN
+
+  scripts/calc_tickadj/calc_tickadj.1calc_tickadjman@1.98 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/calc_tickadj/calc_tickadj.1calc_tickadjmdoc@1.99 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/calc_tickadj/calc_tickadj.html@1.100 +1 -1
+    NTP_4_2_8P9_WIN
+
+  scripts/calc_tickadj/calc_tickadj.man.in@1.97 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/calc_tickadj/calc_tickadj.mdoc.in@1.99 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/calc_tickadj/invoke-calc_tickadj.texi@1.102 +1 -1
+    NTP_4_2_8P9_WIN
+
+  scripts/invoke-plot_summary.texi@1.120 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/invoke-summary.texi@1.119 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntp-wait/invoke-ntp-wait.texi@1.329 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntp-wait/ntp-wait-opts@1.65 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntp-wait/ntp-wait.1ntp-waitman@1.326 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/ntp-wait/ntp-wait.1ntp-waitmdoc@1.327 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntp-wait/ntp-wait.html@1.346 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntp-wait/ntp-wait.man.in@1.326 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/ntp-wait/ntp-wait.mdoc.in@1.327 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntpsweep/invoke-ntpsweep.texi@1.117 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntpsweep/ntpsweep-opts@1.67 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntpsweep/ntpsweep.1ntpsweepman@1.105 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/ntpsweep/ntpsweep.1ntpsweepmdoc@1.105 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntpsweep/ntpsweep.html@1.118 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntpsweep/ntpsweep.man.in@1.105 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/ntpsweep/ntpsweep.mdoc.in@1.106 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntptrace/invoke-ntptrace.texi@1.118 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntptrace/ntptrace-opts@1.67 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntptrace/ntptrace.1ntptraceman@1.105 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/ntptrace/ntptrace.1ntptracemdoc@1.106 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntptrace/ntptrace.html@1.119 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/ntptrace/ntptrace.man.in@1.105 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/ntptrace/ntptrace.mdoc.in@1.107 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/plot_summary-opts@1.68 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/plot_summary.1plot_summaryman@1.118 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/plot_summary.1plot_summarymdoc@1.118 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/plot_summary.html@1.121 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/plot_summary.man.in@1.118 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/plot_summary.mdoc.in@1.118 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/summary-opts@1.67 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/summary.1summaryman@1.117 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/summary.1summarymdoc@1.117 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/summary.html@1.120 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/summary.man.in@1.117 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/summary.mdoc.in@1.117 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/update-leap/invoke-update-leap.texi@1.18 +1 -1
+    NTP_4_2_8P9_WIN
+
+  scripts/update-leap/update-leap-opts@1.18 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/update-leap/update-leap.1update-leapman@1.18 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/update-leap/update-leap.1update-leapmdoc@1.18 +2 -2
+    NTP_4_2_8P9_WIN
+
+  scripts/update-leap/update-leap.html@1.18 +1 -1
+    NTP_4_2_8P9_WIN
+
+  scripts/update-leap/update-leap.man.in@1.18 +3 -3
+    NTP_4_2_8P9_WIN
+
+  scripts/update-leap/update-leap.mdoc.in@1.18 +2 -2
+    NTP_4_2_8P9_WIN
+
+  sntp/invoke-sntp.texi@1.506 +2 -2
+    NTP_4_2_8P9_WIN
+
+  sntp/sntp-opts.c@1.525 +159 -159
+    NTP_4_2_8P9_WIN
+
+  sntp/sntp-opts.h@1.523 +3 -3
+    NTP_4_2_8P9_WIN
+
+  sntp/sntp.1sntpman@1.341 +3 -3
+    NTP_4_2_8P9_WIN
+
+  sntp/sntp.1sntpmdoc@1.341 +2 -2
+    NTP_4_2_8P9_WIN
+
+  sntp/sntp.html@1.521 +2 -2
+    NTP_4_2_8P9_WIN
+
+  sntp/sntp.man.in@1.341 +3 -3
+    NTP_4_2_8P9_WIN
+
+  sntp/sntp.mdoc.in@1.341 +2 -2
+    NTP_4_2_8P9_WIN
+
+  util/invoke-ntp-keygen.texi@1.509 +2 -2
+    NTP_4_2_8P9_WIN
+
+  util/ntp-keygen-opts.c@1.527 +173 -173
+    NTP_4_2_8P9_WIN
+
+  util/ntp-keygen-opts.h@1.525 +3 -3
+    NTP_4_2_8P9_WIN
+
+  util/ntp-keygen.1ntp-keygenman@1.337 +3 -3
+    NTP_4_2_8P9_WIN
+
+  util/ntp-keygen.1ntp-keygenmdoc@1.337 +2 -2
+    NTP_4_2_8P9_WIN
+
+  util/ntp-keygen.html@1.183 +2 -2
+    NTP_4_2_8P9_WIN
+
+  util/ntp-keygen.man.in@1.337 +3 -3
+    NTP_4_2_8P9_WIN
+
+  util/ntp-keygen.mdoc.in@1.337 +2 -2
+    NTP_4_2_8P9_WIN
+
+ChangeSet@1.3728, 2017-01-28 09:32:36-05:00, stenn@pogo.udel.edu
+  typos
+
+  sntp/m4/ntp_openssl.m4@1.26 +13 -13
+    typos
+
+ChangeSet@1.3726, 2017-01-27 11:21:38+00:00, stenn@psp-deb1.ntp.org
+  ntp-4.2.8p9-win
+
+  ChangeLog@1.1855 +4 -1
+    ntp-4.2.8p9-win
+
+  packageinfo.sh@1.533 +1 -1
+    ntp-4.2.8p9-win
+
+ChangeSet@1.3725, 2017-01-27 11:09:20+00:00, stenn@psp-deb1.ntp.org
+  bk-7 repos don't have a ChangeSet file
+
+  sntp/Makefile.am@1.89 +1 -1
+    bk-7 repos don't have a ChangeSet file
+
+ChangeSet@1.3724, 2017-01-21 15:12:35+01:00, perlinger@ntp.org
+  [Bug 3144] NTP does not build without openSSL <perlinger@ntp.org>
+   - pulled missing changeset, minor warning fixes
+
+  ChangeLog@1.1854 +2 -1
+    [Bug 3144] NTP does not build without openSSL <perlinger@ntp.org>
+     - pulled missing changeset, minor warning fixes
+
+  include/ssl_applink.c@1.3 +9 -1
+    [Bug 3144] NTP does not build without openSSL <perlinger@ntp.org>
+     - minor warning fixes
+
+  ports/winnt/ntpd/ntservice.c@1.31 +1 -0
+    [Bug 3144] NTP does not build without openSSL <perlinger@ntp.org>
+     - pulled missing changeset, minor warning fixes
+
+ChangeSet@1.3720.1.2, 2017-01-10 06:07:05-05:00, stenn@pogo.udel.edu
+  configure.ac cleanup
+
+  ChangeLog@1.1852.1.1 +5 -0
+    configure.ac cleanup
+
+  configure.ac@1.607 +1 -1
+    configure.ac cleanup
+
+ChangeSet@1.3720.1.1, 2017-01-10 06:05:44-05:00, stenn@pogo.udel.edu
+  openssl configure cleanup
+
+  sntp/m4/ntp_libntp.m4@1.34 +1 -3
+    openssl configure cleanup
+
+  sntp/m4/ntp_openssl.m4@1.25 +19 -1
+    openssl configure cleanup
+
+ChangeSet@1.3722, 2016-11-23 08:34:52+01:00, perlinger@ntp.org
+  Bug 3144 - NTP does not build without openSSL
+   - fix SNTP to build '--without-crypto',too
+   - remove some warnings that result from '--without-crypto'
+
+  ntpd/ntp_control.c@1.215 +4 -1
+    Bug 3144 - NTP does not build without openSSL
+     - remove some warnings that result from '--without-crypto'
+
+  ntpd/ntp_proto.c@1.398 +1 -1
+    Bug 3144 - NTP does not build without openSSL
+     - remove some warnings that result from '--without-crypto'
+
+  sntp/crypto.c@1.24 +1 -1
+    Bug 3144 - NTP does not build without openSSL
+     - fix SNTP to build '--without-crypto', too
+
+ChangeSet@1.3721, 2016-11-22 22:22:46+01:00, perlinger@ntp.org
+  [Bug 3144] NTP does not build without openSSL
+
+  ChangeLog@1.1853 +3 -1
+    [Bug 3144] NTP does not build without openSSL
+
+  include/ntp_md5.h@1.11 +4 -0
+    [Bug 3144] NTP does not build without openSSL
+     - pull in "libssl_compat.h" if built with openssl
+     - provide compliant API otherwise
+
+  libntp/a_md5encrypt.c@1.40 +0 -1
+    [Bug 3144] NTP does not build without openSSL
+     - do not directly include "libssl_compat.h" -- comes with "ntp_md5.h"
+
+  libntp/libssl_compat.c@1.2.1.1 +10 -7
+    [Bug 3144] NTP does not build without openSSL
+     - compiles code only if openssl is indeed required
+
+  ntpd/ntp_control.c@1.214 +1 -3
+    [Bug 3144] NTP does not build without openSSL
+     - do not directly include "libssl_compat.h" -- comes with "ntp_md5.h"
+     - fix long-standing warning
+
+  ntpd/ntp_io.c@1.418 +9 -5
+    [Bug 3144] NTP does not build without openSSL
+     - sidekick: Fix annoying warnings for Debug Build (Win64/32 issue)
+
+  ports/winnt/ntpd/ntp_iocompletionport.c@1.78 +4 -6
+    [Bug 3144] NTP does not build without openSSL
+     - sidekick: Fix annoying warnings MSVC emits
+
 ChangeSet@1.3720, 2016-11-21 08:08:21-05:00, stenn@deacon.udel.edu
   NTP_4_2_8P9
   TAG: NTP_4_2_8P9
@@ -557,7 +995,6 @@
     [winio2 - unlocked]
      - eliminate critical section, simplify API
      - the great renaming
-    
 
 ChangeSet@1.3698.1.7, 2016-10-23 05:18:04+00:00, stenn@psp-deb1.ntp.org
   ntp-4.2.8p9-PRE
@@ -889,7 +1326,7 @@
   util/ntp-keygen.mdoc.in@1.335 +2 -2
     ntp-4.2.8p9-PRE
 
-ChangeSet@1.3688.4.1, 2016-10-20 19:28:06+00:00, stenn@psp-deb1.ntp.org
+ChangeSet@1.3688.5.1, 2016-10-20 19:28:06+00:00, stenn@psp-deb1.ntp.org
   cleanup
 
   ChangeLog@1.1836.4.1 +1 -0
@@ -910,7 +1347,6 @@
 
   ChangeLog@1.1834.19.1 +4 -0
     [Sec 3113] Broadcast Mode Poll Interval Enforcement DoS
-    
 
   include/ntp.h@1.220.1.1 +1 -1
     [Sec 3113] Broadcast Mode Poll Interval Enforcement DoS
@@ -953,7 +1389,7 @@
 
   tests/bug-3102/zeroorg.py@1.0 +0 -0
 
-ChangeSet@1.3688.3.2, 2016-10-10 01:46:05-07:00, harlan@max.pfcs.com
+ChangeSet@1.3688.4.1, 2016-10-10 01:46:05-07:00, harlan@max.pfcs.com
   Fix typos in include/ntp.h
 
   ChangeLog@1.1836.3.1 +1 -0
@@ -989,6 +1425,89 @@
     [Bug 3125] NTPD doesn't fully start when ntp.conf entries are out of order using the loopback-ppsapi-provider.dll
      - fix wrong instance initialisation
 
+ChangeSet@1.3688.3.2, 2016-10-02 09:01:53+02:00, perlinger@ntp.org
+  [Bug 3095] Compatibility with openssl 1.1
+   - add autolib hader
+   - fix linker input selection
+
+  include/ssl_applink.c@1.2 +15 -3
+    [Bug 3095] Compatibility with openssl 1.1
+     - the graet renaming of v1.1.0
+
+  libntp/libssl_compat.c@1.3 +4 -0
+    [Bug 3095] Compatibility with openssl 1.1
+     - make sure 'inttypes.h' is included before SSL headers (macro definitiion order)
+
+  ports/winnt/include/msvc_ssl_autolib.h@1.1 +94 -0
+    [Bug 3095] Compatibility with openssl 1.1
+     create automagic library selection header
+
+  ports/winnt/include/msvc_ssl_autolib.h@1.0 +0 -0
+
+  ports/winnt/vs2008/debug-x64.vsprops@1.2 +2 -2
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2008/debug.vsprops@1.2 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2008/release-x64.vsprops@1.2 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2008/release.vsprops@1.2 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2013/debug-x64.props@1.3 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2013/debug.props@1.2 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2013/libntp/libntp.vcxproj@1.13 +2 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - add autolib hader
+
+  ports/winnt/vs2013/libntp/libntp.vcxproj.filters@1.11 +3 -0
+    [Bug 3095] Compatibility with openssl 1.1
+     - add autolib hader
+
+  ports/winnt/vs2013/release-x64.props@1.3 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2013/release.props@1.2 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2015/debug-x64.props@1.2 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2015/debug.props@1.2 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2015/libntp/libntp.vcxproj@1.3 +1 -0
+    [Bug 3095] Compatibility with openssl 1.1
+     - add autolib hader
+
+  ports/winnt/vs2015/libntp/libntp.vcxproj.filters@1.3 +3 -0
+    [Bug 3095] Compatibility with openssl 1.1
+     - add autolib hader
+
+  ports/winnt/vs2015/release-x64.props@1.2 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
+  ports/winnt/vs2015/release.props@1.2 +1 -1
+    [Bug 3095] Compatibility with openssl 1.1
+     - fix linker input selection
+
 ChangeSet@1.3698, 2016-10-01 10:52:11+00:00, stenn@psp-deb1.ntp.org
   Update NEWS for 3119
 
@@ -8089,31 +8608,24 @@
 
   sntp/libevent/test/bench_httpclient.c@1.8 +5 -1
     reverted emalloc (and similar) to malloc + added checks if malloc is NULL, because emalloc is not linked here.
-    
 
   sntp/libevent/test/regress.c@1.8 +6 -2
     reverted emalloc (and similar) to malloc + added checks if malloc is NULL, because emalloc is not linked here.
-    
 
   sntp/libevent/test/regress_dns.c@1.10 +6 -5
     reverted emalloc (and similar) to malloc + added checks if malloc is NULL, because emalloc is not linked here.
-    
 
   sntp/libevent/test/regress_http.c@1.10 +8 -4
     reverted emalloc (and similar) to malloc + added checks if malloc is NULL, because emalloc is not linked here.
-    
 
   sntp/libevent/test/regress_minheap.c@1.5 +2 -1
     reverted emalloc (and similar) to malloc + added checks if malloc is NULL, because emalloc is not linked here.
-    
 
   sntp/libevent/test/test-ratelim.c@1.11 +6 -2
     reverted emalloc (and similar) to malloc + added checks if malloc is NULL, because emalloc is not linked here.
-    
 
   sntp/libevent/test/test-time.c@1.7 +2 -1
     reverted emalloc (and similar) to malloc + added checks if malloc is NULL, because emalloc is not linked here.
-    
 
 ChangeSet@1.3552.1.12, 2015-08-20 01:10:57+02:00, viperus@ubuntu.(none)
   Makefile.am:
@@ -8151,67 +8663,51 @@
 
   ntpd/refclock_palisade.c@1.43 +2 -2
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   ntpq/ntpq.c@1.161 +7 -7
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/libevent/sample/http-server.c@1.11 +2 -2
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/libevent/test/bench_httpclient.c@1.7 +1 -1
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/libevent/test/regress.c@1.7 +2 -2
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/libevent/test/regress_dns.c@1.9 +4 -4
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/libevent/test/regress_http.c@1.9 +3 -3
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/libevent/test/regress_minheap.c@1.4 +1 -1
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/libevent/test/test-ratelim.c@1.10 +2 -2
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/libevent/test/test-time.c@1.6 +1 -1
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/libopts/compat/pathfind.c@1.12 +5 -5
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/tests/fileHandlingTest.c@1.3 +1 -1
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   sntp/tests/packetProcessing.c@1.8 +1 -1
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   tests/libntp/a_md5encrypt.c@1.12 +1 -1
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   tests/libntp/calendar.c@1.6.1.1 +4 -4
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
   tests/libntp/caljulian.c@1.10 +1 -1
     Fixing bug 2898, replacing malloc with emalloc, calloc with emalloc_zero, strdup with estrup etc.
-    
 
 ChangeSet@1.3552.1.9, 2015-08-17 13:56:23+02:00, viperus@ubuntu.(none)
   Makefile.am:
@@ -8595,7 +9091,6 @@
 
   tests/libntp/socktoa.c@1.9 +2 -2
     fixed. Tests are skipped when you do ./build --disable-ipv6
-    
 
   tests/ntpq/Makefile.am@1.2 +8 -37
     changes
@@ -8636,7 +9131,6 @@
 
   tests/libntp/run-socktoa.c@1.11 +7 -7
     Minor changes due to the autogenerated ruby script
-    
 
   tests/libntp/socktoa.c@1.8 +22 -6
     update
@@ -8811,8 +9305,6 @@
     Added test ntp_singd again, renamed it to ntp_signdT (including the original ntp_signd.c doesn't work if you have 2 files with the same name).
     I included the original ntp_signd.c, so static functions can be tested.
     Additional .o objects had to be added for everyhting to work.
-    
-    
 
   tests/ntpd/ntp_signdT.c@1.2 +17 -2
     MUST ADD #define HAVE_NTP_NAME above the #include "ntp_NAME.c"
@@ -8918,15 +9410,12 @@
 
   tests/libntp/run-lfptostr.c@1.6 +11 -11
     update
-    
 
   tests/libntp/run-netof.c@1.6 +0 -1
     update
-    
 
   tests/libntp/run-socktoa.c@1.9 +6 -6
     update
-    
 
   tests/ntpd/Makefile.am@1.6.1.4 +8 -3
     Merge
@@ -8942,11 +9431,9 @@
 
   tests/ntpd/run-ntp_signd.c@1.3 +2 -2
     update
-    
 
   tests/ntpd/run-rc_cmdlength.c@1.2 +8 -3
     update
-    
 
 ChangeSet@1.3543, 2015-07-27 04:11:08+00:00, stenn@psp-at1.ntp.org
   [Bug 2595] ntpdate man page quirks.  Hal Murray, Harlan Stenn
@@ -9192,35 +9679,27 @@
 
   tests/libntp/netof.c@1.3.1.1 +8 -0
     adding declarations
-    
 
   tests/libntp/numtoa.c@1.6 +2 -0
     adding declarations
-    
 
   tests/libntp/numtohost.c@1.5 +2 -0
     adding declarations
-    
 
   tests/libntp/octtoint.c@1.3.1.1 +10 -0
     adding declarations
-    
 
   tests/libntp/prettydate.c@1.3 +3 -0
     adding declarations
-    
 
   tests/libntp/recvbuff.c@1.5 +4 -0
     adding declarations
-    
 
   tests/libntp/refidsmear.c@1.5 +6 -3
     adding declarations
-    
 
   tests/libntp/refnumtoa.c@1.5 +4 -0
     adding declarations
-    
 
   tests/libntp/run-clocktime.c@1.9 +1 -1
     update
@@ -9227,91 +9706,69 @@
 
   tests/libntp/run-lfpfunc.c@1.16 +9 -9
     update
-    
 
   tests/libntp/run-netof.c@1.5 +4 -4
     update
-    
 
   tests/libntp/run-numtoa.c@1.9 +2 -2
     update
-    
 
   tests/libntp/run-numtohost.c@1.9 +1 -1
     update
-    
 
   tests/libntp/run-octtoint.c@1.6 +7 -7
     update
-    
 
   tests/libntp/run-prettydate.c@1.4 +1 -1
     update
-    
 
   tests/libntp/run-recvbuff.c@1.4 +3 -3
     update
-    
 
   tests/libntp/run-refidsmear.c@1.5 +1 -1
     update
-    
 
   tests/libntp/run-refnumtoa.c@1.7 +2 -2
     update
-    
 
   tests/libntp/run-sfptostr.c@1.4 +7 -7
     update
-    
 
   tests/libntp/run-socktoa.c@1.8 +6 -6
     update
-    
 
   tests/libntp/run-ssl_init.c@1.8 +5 -5
     update
-    
 
   tests/libntp/run-statestr.c@1.9 +4 -4
     update
-    
 
   tests/libntp/run-strtolfp.c@1.4 +6 -6
     update
-    
 
   tests/libntp/run-timespecops.c@1.9 +28 -28
     update
-    
 
   tests/libntp/run-timevalops.c@1.11 +28 -28
     update
-    
 
   tests/libntp/run-tstotv.c@1.4 +3 -3
     update
-    
 
   tests/libntp/run-tvtots.c@1.5 +3 -3
     update
-    
 
   tests/libntp/run-vi64ops.c@1.7 +3 -3
     update
-    
 
   tests/libntp/run-ymd2yd.c@1.10 +4 -4
     update
-    
 
   tests/libntp/sfptostr.c@1.3 +10 -0
     update
-    
 
   tests/libntp/sockaddrtest.c@1.2 +1 -0
     update
-    
 
   tests/libntp/socktoa.c@1.3.1.1 +6 -0
     added declarations
@@ -9318,39 +9775,30 @@
 
   tests/libntp/ssl_init.c@1.8 +6 -0
     added declarations
-    
 
   tests/libntp/statestr.c@1.5 +4 -0
     added declarations
-    
 
   tests/libntp/strtolfp.c@1.2.1.1 +9 -0
     added declarations
-    
 
   tests/libntp/timespecops.c@1.8 +40 -1
     added declarations
-    
 
   tests/libntp/timevalops.c@1.11 +37 -1
     added declarations
-    
 
   tests/libntp/tstotv.c@1.3 +5 -0
     added declarations
-    
 
   tests/libntp/tvtots.c@1.5 +3 -0
     added declarations
-    
 
   tests/libntp/vi64ops.c@1.6 +6 -0
     added declarations
-    
 
   tests/libntp/ymd2yd.c@1.6 +5 -0
     added declarations
-    
 
 ChangeSet@1.3536, 2015-07-25 02:08:32+02:00, tomek@tomek-n56vz.(none)
   run-ntp_restrict.c:
@@ -9408,7 +9856,6 @@
 
   tests/libntp/calendar.c@1.6 +42 -18
     added function declarations + minor comment fixes
-    
 
   tests/libntp/caljulian.c@1.9 +10 -0
     added declarations
@@ -9415,35 +9862,27 @@
 
   tests/libntp/caltontp.c@1.3 +5 -0
     added declarations
-    
 
   tests/libntp/calyearstart.c@1.4 +5 -0
     added declarations
-    
 
   tests/libntp/clocktime.c@1.6 +11 -0
     added declarations
-    
 
   tests/libntp/decodenetnum.c@1.3.1.1 +7 -0
     added declarations
-    
 
   tests/libntp/hextoint.c@1.4 +6 -0
     added declarations
-    
 
   tests/libntp/hextolfp.c@1.5.1.1 +7 -0
     added declarations
-    
 
   tests/libntp/humandate.c@1.5 +4 -0
     added declarations
-    
 
   tests/libntp/lfpfunc.c@1.12 +13 -0
     added declarations
-    
 
   tests/libntp/lfptest.c@1.2 +1 -0
     added #include
@@ -9450,15 +9889,12 @@
 
   tests/libntp/lfptostr.c@1.3.1.1 +15 -0
     added declarations
-    
 
   tests/libntp/modetoa.c@1.7 +3 -0
     added declarations
-    
 
   tests/libntp/msyslog.c@1.6 +10 -0
     added declarations
-    
 
   tests/libntp/run-buftvtots.c@1.5 +10 -10
     update
@@ -9471,47 +9907,36 @@
 
   tests/libntp/run-caltontp.c@1.4 +4 -4
     updated
-    
 
   tests/libntp/run-calyearstart.c@1.6 +3 -3
     updated
-    
 
   tests/libntp/run-clocktime.c@1.8 +8 -8
     updated
-    
 
   tests/libntp/run-decodenetnum.c@1.6 +6 -6
     updated
-    
 
   tests/libntp/run-hextoint.c@1.8 +5 -5
     updated
-    
 
   tests/libntp/run-hextolfp.c@1.7 +6 -6
     updated
-    
 
   tests/libntp/run-humandate.c@1.5 +2 -2
     updated
-    
 
   tests/libntp/run-lfpfunc.c@1.15 +9 -9
     updated
-    
 
   tests/libntp/run-lfptostr.c@1.5 +10 -10
     updated
-    
 
   tests/libntp/run-modetoa.c@1.10 +2 -2
     updated
-    
 
   tests/libntp/run-msyslog.c@1.7 +8 -8
     updated
-    
 
 ChangeSet@1.3523.2.7, 2015-07-24 12:01:24+05:30, loki@dadasgift.(none)
   ntp signd testing
@@ -9567,31 +9992,24 @@
 
   sntp/tests/keyFile.c@1.7 +4 -0
     added declarations for tests
-    
 
   sntp/tests/kodDatabase.c@1.7 +6 -0
     added declarations for tests
-    
 
   sntp/tests/kodFile.c@1.8 +8 -0
     added declarations for tests
-    
 
   sntp/tests/nameresolution.c@1.2 +3 -0
     added declarations for tests
-    
 
   sntp/tests/packetHandling.c@1.5 +13 -0
     added declarations for tests
-    
 
   sntp/tests/packetProcessing.c@1.7 +24 -0
     added declarations for tests
-    
 
   sntp/tests/run-crypto.c@1.5 +5 -5
     added declarations for tests
-    
 
   sntp/tests/run-keyFile.c@1.8 +4 -4
     updated
@@ -9613,7 +10031,6 @@
 
   sntp/tests/utilities.c@1.4 +12 -0
     added declarations for tests
-    
 
 ChangeSet@1.3529.1.7, 2015-07-22 20:09:39+02:00, viperus@ubuntu.(none)
   Updated unity ruby testRunner generator with mark's latest fixes. Modified tests/libntp/Makefile.am and sntp/tests/Makefile.am accordingly. Also, split some .h files into .h and .c because they contained declarations and definitions which caused error in the newly generated test runners. Started fixing some warnings. We can add both declarations and defitions in a single test.c file without any issues now. Autogenerated tests will be run in order of the declarations in the test file.
@@ -9640,31 +10057,24 @@
 
   sntp/tests/run-keyFile.c@1.7 +12 -8
     updated autogenerated code
-    
 
   sntp/tests/run-kodDatabase.c@1.5 +9 -3
     updated autogenerated code
-    
 
   sntp/tests/run-kodFile.c@1.5 +7 -3
     updated autogenerated code
-    
 
   sntp/tests/run-networking.c@1.2 +5 -2
     updated autogenerated code
-    
 
   sntp/tests/run-packetHandling.c@1.4 +11 -3
     updated autogenerated code
-    
 
   sntp/tests/run-packetProcessing.c@1.5 +6 -3
     updated autogenerated code
-    
 
   sntp/tests/run-utilities.c@1.4 +8 -3
     updated autogenerated code
-    
 
   sntp/tests/sntptest.c@1.1 +33 -0
     definitions placed from .h to .c
@@ -9687,13 +10097,11 @@
 
   sntp/unity/auto/type_sanitizer.rb@1.1 +8 -0
     mark's new file from the update
-    
 
   sntp/unity/auto/type_sanitizer.rb@1.0 +0 -0
 
   sntp/unity/auto/unity_test_summary.py@1.1 +135 -0
     mark's new file from the update
-    
 
   sntp/unity/auto/unity_test_summary.py@1.0 +0 -0
 
@@ -9702,7 +10110,6 @@
 
   tests/libntp/Makefile.am@1.85.1.3 +7 -0
     New ruby generator script required some changes. Removed some definitions form header files and created their own .c files.
-    
 
   tests/libntp/a_md5encrypt.c@1.11 +8 -0
     added declarations
@@ -9709,15 +10116,12 @@
 
   tests/libntp/atoint.c@1.4 +9 -0
     added declarations
-    
 
   tests/libntp/atouint.c@1.5 +8 -0
     added declarations
-    
 
   tests/libntp/authkeys.c@1.10 +17 -6
     added declarations
-    
 
   tests/libntp/lfptest.c@1.1 +10 -0
     new file, contains definitions from lfptest.h
@@ -9732,151 +10136,114 @@
 
   tests/libntp/run-atoint.c@1.7 +10 -7
     autogenerated file update
-    
 
   tests/libntp/run-atouint.c@1.8 +10 -7
     autogenerated file update
-    
 
   tests/libntp/run-authkeys.c@1.10 +12 -9
     autogenerated file update
-    
 
   tests/libntp/run-buftvtots.c@1.4 +8 -3
     autogenerated file update
-    
 
   tests/libntp/run-calendar.c@1.7 +6 -3
     autogenerated file update
-    
 
   tests/libntp/run-caljulian.c@1.11 +7 -3
     autogenerated file update
-    
 
   tests/libntp/run-caltontp.c@1.3 +4 -3
     autogenerated file update
-    
 
   tests/libntp/run-calyearstart.c@1.5 +6 -3
     autogenerated file update
-    
 
   tests/libntp/run-clocktime.c@1.7 +6 -3
     autogenerated file update
-    
 
   tests/libntp/run-decodenetnum.c@1.5 +5 -3
     autogenerated file update
-    
 
   tests/libntp/run-hextoint.c@1.7 +6 -2
     autogenerated file update
-    
 
   tests/libntp/run-hextolfp.c@1.6 +6 -3
     autogenerated file update
-    
 
   tests/libntp/run-humandate.c@1.4 +5 -3
     autogenerated file update
-    
 
   tests/libntp/run-lfpfunc.c@1.14 +7 -3
     autogenerated file update
-    
 
   tests/libntp/run-lfptostr.c@1.4 +5 -3
     autogenerated file update
-    
 
   tests/libntp/run-modetoa.c@1.9 +4 -3
     autogenerated file update
-    
 
   tests/libntp/run-msyslog.c@1.6 +4 -3
     autogenerated file update
-    
 
   tests/libntp/run-netof.c@1.4 +6 -3
     autogenerated file update
-    
 
   tests/libntp/run-numtoa.c@1.8 +5 -3
     autogenerated file update
-    
 
   tests/libntp/run-numtohost.c@1.8 +5 -3
     autogenerated file update
-    
 
   tests/libntp/run-octtoint.c@1.5 +4 -2
     autogenerated file update
-    
 
   tests/libntp/run-prettydate.c@1.3 +6 -2
     autogenerated file update
-    
 
   tests/libntp/run-recvbuff.c@1.3 +4 -2
     autogenerated file update
-    
 
   tests/libntp/run-refidsmear.c@1.4 +7 -3
     autogenerated file update
-    
 
   tests/libntp/run-refnumtoa.c@1.6 +5 -3
     autogenerated file update
-    
 
   tests/libntp/run-sfptostr.c@1.3 +4 -3
     autogenerated file update
-    
 
   tests/libntp/run-socktoa.c@1.7 +6 -2
     autogenerated file update
-    
 
   tests/libntp/run-ssl_init.c@1.7 +4 -3
     autogenerated file update
-    
 
   tests/libntp/run-statestr.c@1.8 +6 -3
     autogenerated file update
-    
 
   tests/libntp/run-strtolfp.c@1.3 +6 -2
     autogenerated file update
-    
 
   tests/libntp/run-timespecops.c@1.8 +8 -3
     autogenerated file update
-    
 
   tests/libntp/run-timevalops.c@1.10 +7 -3
     autogenerated file update
-    
 
   tests/libntp/run-tstotv.c@1.3 +5 -2
     autogenerated file update
-    
 
   tests/libntp/run-tvtots.c@1.4 +6 -3
     autogenerated file update
-    
 
   tests/libntp/run-uglydate.c@1.9 +6 -4
     autogenerated file update
-    
 
   tests/libntp/run-vi64ops.c@1.6 +5 -3
     autogenerated file update
-    
 
   tests/libntp/run-ymd2yd.c@1.9 +4 -3
     autogenerated file update
-    
 
   tests/libntp/sockaddrtest.c@1.1 +50 -0
     New file created by splitting sockaddrtest.h. 
@@ -11193,7 +11560,6 @@
 
   ChangeLog@1.1680.1.1 +1 -0
     [Bug 2867] ntpd with autokey active crashed by 'ntpq -crv'
-    
 
   ntpd/ntp_control.c@1.201 +5 -2
     [Bug 2867] ntpd with autokey active crashed by 'ntpq -crv'
@@ -15518,7 +15884,6 @@
   	added -DUNITY.... to makefile when building lfpfunc.c. Maybe I should add -DUNITY... to CFLAGS_unity or something like that'
   lfpfunc.c:
   	converted more tests
-  
 
   sntp/unity/Makefile.am@1.2.1.1 +4 -0
     added -DUNITY_DOUBLE_INCLUDE to CFLAGS, so I don't get linker errors anymore (because asserting double is disabled by default in unity)
@@ -16864,7 +17229,6 @@
   ntpd/ntp_leapsec.c@1.18 +0 -8
     * [Bug 2745] ntpd -x steps clock on leap second
        removed dead test code block
-    
 
 ChangeSet@1.3326.4.5, 2015-05-08 23:35:42+02:00, jnperlin@hydra.(none)
   * [Bug 2745] ntpd -x steps clock on leap second
